xine-lib: xine-lib-1.2.12/src/libw32dll/dmo/DMO_AudioDecoder.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
DMO_AudioDecoder.c File Reference
`#include "audiodecoder.h"`
`#include "except.h"`
`#include "DMO_Filter.h"`
`#include "DMO_AudioDecoder.h"`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdlib.h>`

## Data Structures
struct | _DMO_AudioDecoder

## Macros
#define | __MODULE__ "DirectShow audio decoder"

## Typedefs
typedef long STDCALL(* | GETCLASS) (GUID *, GUID *, void **)

## Functions
void | print_wave_header (WAVEFORMATEX *h)
DMO_AudioDecoder * | DMO_AudioDecoder_Open (const char *dllname, GUID *guid, WAVEFORMATEX *wf, int out_channels)
void | DMO_AudioDecoder_Destroy (DMO_AudioDecoder *this)
int | DMO_AudioDecoder_Convert (DMO_AudioDecoder *this, const void *in_data, unsigned int in_size, void *out_data, unsigned int out_size, unsigned int *size_read, unsigned int *size_written)
int | DMO_AudioDecoder_GetSrcSize (DMO_AudioDecoder *this, int dest_size)

## Macro Definition Documentation

## ◆ __MODULE__

#define __MODULE__ "DirectShow audio decoder"

## Typedef Documentation

## ◆ GETCLASS

typedef long STDCALL(* GETCLASS) (GUID *, GUID *, void **)

## Function Documentation

## ◆ DMO_AudioDecoder_Convert()

int DMO_AudioDecoder_Convert | ( | DMO_AudioDecoder * | this,
|  | const void * | in_data,
|  | unsigned int | in_size,
|  | void * | out_data,
|  | unsigned int | out_size,
|  | unsigned int * | size_read,
|  | unsigned int * | size_written
| ) |  |

References CMediaBufferCreate(), DMO_E_NOTACCEPTING, DMO_INPUT_DATA_BUFFERF_SYNCPOINT, _DMO_OUTPUT_DATA_BUFFER::dwStatus, IMediaBuffer_vt::GetBufferAndLength, _DMO_OUTPUT_DATA_BUFFER::pBuffer, _DMO_OUTPUT_DATA_BUFFER::rtTimelength, _DMO_OUTPUT_DATA_BUFFER::rtTimestamp, and _CMediaBuffer::vt.

Referenced by w32a_decode_audio().

## ◆ DMO_AudioDecoder_Destroy()

void DMO_AudioDecoder_Destroy | ( | DMO_AudioDecoder * | this | ) |

References DMO_Filter_Destroy().

Referenced by w32a_dispose().

## ◆ DMO_AudioDecoder_GetSrcSize()

int DMO_AudioDecoder_GetSrcSize | ( | DMO_AudioDecoder * | this,
|  | int | dest_size
| ) |  |

Referenced by w32a_init_audio().

## ◆ DMO_AudioDecoder_Open()

DMO_AudioDecoder * DMO_AudioDecoder_Open | ( | const char * | dllname,
|  | GUID * | guid,
|  | WAVEFORMATEX * | wf,
|  | int | out_channels
| ) |  |

References DMO_FilterCreate(), FORMAT_WaveFormatEx, MEDIASUBTYPE_PCM, MEDIATYPE_Audio, NULL, and print_wave_header().

Referenced by w32a_init_audio().

## ◆ print_wave_header()

void print_wave_header | ( | WAVEFORMATEX * | h | ) |

Referenced by DMO_AudioDecoder_Open(), and DS_AudioDecoder_Open().